# Program to ilustrate the use of functions in Python 

def show_string(string_in):
    """This function shows a string on screen"""
    print(string_in)

def show_list(list_in):
    """This function shows a list on screen"""
    for line in list_in:
        print(line)

def show_dict(my_dict_in):
    """This function shows a dictionary on screen"""
    for line in my_dict_in:
        print(line,my_dict_in[line])


# Main program

my_string = "Python"

my_list = ["P","y","t","h","o","n"]

# Source for residue molecular weights: 
# http://www.matrixscience.com/help/aa_help.html (Accessed on May 8th 2014)
# To calculate the mass of a neutral peptide or protein, sum the residue masses plus 
#the masses of the terminating 
# groups (e.g. H at the N-terminus and OH at the C-terminus).
# Sets aaMW dictionary
aaMW = {"A": 71.0779,"R": 156.1857,"N": 114.1026,"D": 115.0874,
        "C": 103.1429,"E": 129.114,"Q": 128.1292,"G": 57.0513,
        "H": 137.1393,"I": 113.1576,"L": 113.1576,"K": 128.1723,
        "M": 131.1961,"F": 147.1739,"P": 97.1152,"S": 87.0773,
        "T": 101.1039,"W": 186.2099,"Y": 163.1733,"V": 99.1311
        }

print("\nShowing string:")
show_string(my_string)

print("\nShowing list:")
show_list(my_list)

print("\nShowing dictionary:")
show_dict(aaMW)